# Slangin'

DrugWars (DopeWars) clone for the [Arduboy](https://www.arduboy.com).

You hit the streets of New York with $2000 in your pocket and a $5000 debt to the loan shark. Buy low and sell high to pay off your debt as quickly as possible, then spend the rest of the time getting rich to earn a high score. Each day has the possibility for a random event that could help or hinder your progress, and if you hold on to too much product Officer Hardass and his deputies might notice.

You can play either the classic 30 day mode, or an extended mode where you go for 60 days, and high scores for each mode are persisted to the EEPROM so they'll save between reboots.

[Reference implementation.](https://gist.github.com/mattmanning/1002653/b7a1e88479a10eaae3bd5298b8b2c86e16fb4404)

## Building

Run `make` to build `slangin.hex`. You need [arduino-cli](https://github.com/arduino/arduino-cli) on your path already set up to compile for the Arduboy.

## Running

Run `make run` to build and run the game. You need the [sim-arduboy](https://github.com/dxxb/sim-arduboy) emulator on your path.

To run on an actual device, use `arduino-cli` to upload `slangin.hex` after building. For example:

```
make && \
arduino-cli upload -b arduino:avr:leonardo -p /dev/ttyACM1 slangin.hex
```

Your port path (`-p` argument) may differ depending on your system.

## CandyWar

Run `res/candywar.sh` to generate an alternate version of the game with replaced title images and strings if you have delicate sensibilities.

## Resources

Font libraries used:
- [Font3x5](https://github.com/filmote/Font3x5)
- [Font4x6](https://github.com/filmote/Font4x6)

Slightly modified to add missing comma and apostrophe characters.

## Screenshots

![slangin-title.png](https://f000.backblazeb2.com/file/img-rdsm-ca/2022/06/22/slangin-title.png)
![slangin-menu.png](https://f000.backblazeb2.com/file/img-rdsm-ca/2022/06/22/slangin-menu.png)
![slangin-drugs.png](https://f000.backblazeb2.com/file/img-rdsm-ca/2022/06/22/slangin-drugs.png)
![slangin-buy.png](https://f000.backblazeb2.com/file/img-rdsm-ca/2022/06/22/slangin-buy.png)
![slangin-hardass.png](https://f000.backblazeb2.com/file/img-rdsm-ca/2022/06/22/slangin-hardass.png)
